> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/cli/de/referenz/commands/admin-access-and-roles.md).

# Administration: Rollen und Zugriff

Jede Option der Befehle devo admin role und devo admin access, darunter Sicherheitsrollen, Berechtigungssätze, Systemberechtigungen und Rollen des Systemtresors.

Diese Seite beschreibt die Befehle `devo admin role` und `devo admin access`, die Sicherheitsrollen und Berechtigungssätze anzeigen und die organisationsweiten Berechtigungen von Benutzern und Gruppen verwalten. Die meisten sind für Devolutions Cloud; `devo admin access permission-sets` ist für Devolutions Server. Die Zeile **Workspace** unter jedem Befehl sagt, wo er funktioniert. Ein Befehl, der auf einem Workspace-Typ ausgeführt wird, den er nicht unterstützt, stoppt mit `operationNotSupportedBySource` und nennt den Typ, den Sie brauchen.

Die Liste aller Befehle steht in [Befehle](/cli/de/referenz/commands.md). Für Aufgaben Schritt für Schritt siehe [Benutzer, Gruppen und Zugriff verwalten](/cli/de/fur-devops-und-administratoren/manage/users-and-access.md). Um Zugriff auf einen Tresor oder einen Eintrag zu geben, verwenden Sie stattdessen `devo vault access` und `devo entry access`. Die Optionen, die jeder Befehl akzeptiert, etwa `--context` oder `--output json`, sind in [Globale Optionen](/cli/de/referenz/global-options.md) beschrieben und werden hier nicht wiederholt.

{% hint style="info" %}
**IDs.** Jede ID auf dieser Seite (Benutzer, Gruppe, Rolle) ist eine GUID. Benutzer-IDs finden Sie mit `devo admin user list`, Gruppen-IDs mit `devo admin group list` und Rollen-IDs mit `devo admin role list`. Befehle, die etwas ändern, verweigern die Ausführung ohne `--yes` (Aliasse `-y` und `--confirmed`) und stoppen mit `confirmationRequired`.
{% endhint %}

## devo admin role list

Listet die Tresorrollen oder die Eintragsrollen der Devolutions Cloud-Organisation auf. Alias: `devo admin role ls`.

**Workspace:** Devolutions Cloud.

```bash
devo admin role list [--scope vault|entry]
```

<table><thead><tr><th width="300">OPTION</th><th width="130">STANDARD</th><th>WAS ES TUT</th></tr></thead><tbody><tr><td><code>--scope &#x3C;scope></code></td><td><code>vault</code></td><td>Welche Rollen aufgelistet werden: <code>vault</code> (Rollen, die Sie einem Tresor zuweisen) oder <code>entry</code> (Rollen, die Sie einem Eintrag zuweisen). Jeder andere Wert wird abgelehnt. Die Groß- und Kleinschreibung spielt keine Rolle.</td></tr></tbody></table>

## devo admin role get

Zeigt eine Tresorrolle oder eine Eintragsrolle, nach ID.

**Workspace:** Devolutions Cloud.

```bash
devo admin role get <role-id> [--scope vault|entry]
```

<table><thead><tr><th width="300">OPTION</th><th width="130">STANDARD</th><th>WAS ES TUT</th></tr></thead><tbody><tr><td><code>&#x3C;role-id></code></td><td></td><td>Erforderlich. ID der Rolle, als GUID.</td></tr><tr><td><code>--scope &#x3C;scope></code></td><td><code>vault</code></td><td>Wo die Rolle gesucht wird: <code>vault</code> oder <code>entry</code>. Verwenden Sie den Bereich, zu dem die Rolle gehört. Jeder andere Wert wird abgelehnt.</td></tr></tbody></table>

## devo admin access permission-sets

Listet die Berechtigungssätze des Workspace auf.

**Workspace:** Devolutions Server.

```bash
devo admin access permission-sets
```

Dieser Befehl hat keine eigenen Optionen.

## devo admin access system list

Listet die Systemberechtigungen auf, die Benutzern und Gruppen der Devolutions Cloud-Organisation gegeben sind. Alias: `devo admin access system ls`.

**Workspace:** Devolutions Cloud.

```bash
devo admin access system list
```

Dieser Befehl hat keine eigenen Optionen.

## devo admin access system get

Zeigt die Systemberechtigungen eines Benutzers oder einer Gruppe.

**Workspace:** Devolutions Cloud.

```bash
devo admin access system get --user-id <id>
devo admin access system get --group-id <id>
```

<table><thead><tr><th width="300">OPTION</th><th width="130">STANDARD</th><th>WAS ES TUT</th></tr></thead><tbody><tr><td><code>--user-id &#x3C;id></code></td><td></td><td>ID des Benutzers, als GUID. Geben Sie genau eines von <code>--user-id</code> und <code>--group-id</code> an.</td></tr><tr><td><code>--group-id &#x3C;id></code></td><td></td><td>ID der Gruppe, als GUID. Geben Sie genau eines von <code>--user-id</code> und <code>--group-id</code> an.</td></tr></tbody></table>

## devo admin access system grant

Gibt einem Benutzer oder einer Gruppe eine oder mehrere Systemberechtigungen.

**Workspace:** Devolutions Cloud.

```bash
devo admin access system grant --user-id <id> --permission <name> [--permission <name> ...] --yes
```

<table><thead><tr><th width="300">OPTION</th><th width="130">STANDARD</th><th>WAS ES TUT</th></tr></thead><tbody><tr><td><code>--user-id &#x3C;id></code></td><td></td><td>ID des Benutzers, als GUID. Geben Sie genau eines von <code>--user-id</code> und <code>--group-id</code> an.</td></tr><tr><td><code>--group-id &#x3C;id></code></td><td></td><td>ID der Gruppe, als GUID. Geben Sie genau eines von <code>--user-id</code> und <code>--group-id</code> an.</td></tr><tr><td><code>--permission &#x3C;name></code></td><td></td><td>Erforderlich. Zu vergebende Systemberechtigung. Wiederholen Sie die Option, oder listen Sie mehrere Namen nach einem <code>--permission</code> auf, um mehrere zu vergeben. Namen werden ohne Berücksichtigung der Groß- und Kleinschreibung abgeglichen, und Duplikate werden ignoriert. Nur die unten aufgeführten Namen werden akzeptiert; ein unbekannter oder leerer Name wird abgelehnt.</td></tr><tr><td><code>--yes</code> (<code>-y</code>, <code>--confirmed</code>)</td><td>Aus</td><td>Bestätigt die Änderung. Erforderlich.</td></tr></tbody></table>

## devo admin access system revoke

Entfernt Systemberechtigungen von einem Benutzer oder einer Gruppe. Ohne `--permission` werden alle Systemberechtigungen des Subjekts entfernt. Alias: `devo admin access system rm`.

**Workspace:** Devolutions Cloud.

```bash
devo admin access system revoke --group-id <id> [--permission <name> ...] --yes
```

<table><thead><tr><th width="300">OPTION</th><th width="130">STANDARD</th><th>WAS ES TUT</th></tr></thead><tbody><tr><td><code>--user-id &#x3C;id></code></td><td></td><td>ID des Benutzers, als GUID. Geben Sie genau eines von <code>--user-id</code> und <code>--group-id</code> an.</td></tr><tr><td><code>--group-id &#x3C;id></code></td><td></td><td>ID der Gruppe, als GUID. Geben Sie genau eines von <code>--user-id</code> und <code>--group-id</code> an.</td></tr><tr><td><code>--permission &#x3C;name></code></td><td>Alle</td><td>Zu entfernende Systemberechtigung. Wiederholen Sie die Option oder listen Sie mehrere Namen auf, um mehrere zu entfernen. Lassen Sie sie weg, um jede Systemberechtigung des Benutzers oder der Gruppe zu entfernen. Nur die unten aufgeführten Namen werden akzeptiert.</td></tr><tr><td><code>--yes</code> (<code>-y</code>, <code>--confirmed</code>)</td><td>Aus</td><td>Bestätigt das Entfernen. Erforderlich.</td></tr></tbody></table>

### Namen der Systemberechtigungen

`--permission` akzeptiert diese Namen, ohne Rücksicht auf die Großschreibung:

* **Organisation und Einstellungen**: `manageSystemSettings`, `systemSettingsView`, `manageLicense`, `manageProductLicenses`, `viewAdministrationLogs`, `openedEntriesView`, `forceCheckin`, `releaseLock`.
* **Tresore und Vorlagen**: `addVaults`, `manageEntryTemplates`, `entryTemplatesView`, `entryTemplatesEdit`, `entryTemplatesDelete`, `managePasswordTemplates`, `passwordTemplatesView`, `passwordTemplatesAdd`, `passwordTemplatesEdit`, `passwordTemplatesDelete`, `passphraseDictionariesEdit`, `passphraseDictionariesDelete`.
* **Benutzer, Gruppen und Einladungen**: `manageUsersGroups`, `manageUsers`, `usersView`, `usersAdd`, `usersEdit`, `usersDelete`, `usersReinvite`, `groupsView`, `groupsAdd`, `groupsEdit`, `groupsDelete`, `manageInvitations`, `invitationsView`, `invitationsAdd`, `invitationsDelete`.
* **Lizenzen**: `licensesAssign`, `licensesView`, `licensesAdd`, `licensesAdjust`, `licensesDelete`.
* **Devolutions Gateway**: `manageGateways`, `gatewaysView`.
* **Privilegierter Zugriff**: `managePAMProviders`, `pamProvidersView`, `managePAMTasks`, `addPAMVaults`, `managePAMPolicies`, `pamPoliciesView`, `managePAMScriptTemplates`, `pamScriptTemplatesView`.
* **Globale Ressourcen**: `manageGlobalImages`, `manageGlobalMacrosScriptsTools`, `manageGlobalVpns`, `manageGlobalContact`, `manageCustomWidgets`.
* **Anwendungsdienste**: `manageApplicationServices`, `applicationServicesView`, `applicationServicesAdd`, `applicationServicesEdit`, `applicationServicesDelete`, `applicationServicesChangeStatus`, `applicationServicesViewLogs`.
* **Geplante Berichte**: `manageScheduledReports`, `scheduledReportsView`, `scheduledReportsAdd`, `scheduledReportsEdit`, `scheduledReportsDelete`, `scheduledReportsReschedule`.

## devo admin access system-vault list

Listet die Rollen auf, die Benutzer und Gruppen am Systemtresor der Devolutions Cloud-Organisation haben. Alias: `devo admin access system-vault ls`.

**Workspace:** Devolutions Cloud.

```bash
devo admin access system-vault list
```

Dieser Befehl hat keine eigenen Optionen.

## devo admin access system-vault get

Zeigt die Systemtresor-Rolle eines Benutzers oder einer Gruppe.

**Workspace:** Devolutions Cloud.

```bash
devo admin access system-vault get --user-id <id>
```

<table><thead><tr><th width="300">OPTION</th><th width="130">STANDARD</th><th>WAS ES TUT</th></tr></thead><tbody><tr><td><code>--user-id &#x3C;id></code></td><td></td><td>ID des Benutzers, als GUID. Geben Sie genau eines von <code>--user-id</code> und <code>--group-id</code> an.</td></tr><tr><td><code>--group-id &#x3C;id></code></td><td></td><td>ID der Gruppe, als GUID. Geben Sie genau eines von <code>--user-id</code> und <code>--group-id</code> an.</td></tr></tbody></table>

## devo admin access system-vault grant

Gibt einem Benutzer oder einer Gruppe eine Rolle am Systemtresor. Wenn der Benutzer oder die Gruppe dort bereits eine Rolle hat, wird sie ersetzt.

**Workspace:** Devolutions Cloud.

```bash
devo admin access system-vault grant --group-id <id> --role-id <role-id> --yes
```

<table><thead><tr><th width="300">OPTION</th><th width="130">STANDARD</th><th>WAS ES TUT</th></tr></thead><tbody><tr><td><code>--user-id &#x3C;id></code></td><td></td><td>ID des Benutzers, als GUID. Geben Sie genau eines von <code>--user-id</code> und <code>--group-id</code> an.</td></tr><tr><td><code>--group-id &#x3C;id></code></td><td></td><td>ID der Gruppe, als GUID. Geben Sie genau eines von <code>--user-id</code> und <code>--group-id</code> an.</td></tr><tr><td><code>--role-id &#x3C;role-id></code></td><td></td><td>Erforderlich. ID der zu vergebenden Tresorrolle, als GUID. Finden Sie sie mit <code>devo admin role list --scope vault</code>.</td></tr><tr><td><code>--yes</code> (<code>-y</code>, <code>--confirmed</code>)</td><td>Aus</td><td>Bestätigt die Änderung. Erforderlich.</td></tr></tbody></table>

## devo admin access system-vault revoke

Entfernt die Systemtresor-Rolle eines Benutzers oder einer Gruppe. Alias: `devo admin access system-vault rm`.

**Workspace:** Devolutions Cloud.

```bash
devo admin access system-vault revoke --user-id <id> --yes
```

<table><thead><tr><th width="300">OPTION</th><th width="130">STANDARD</th><th>WAS ES TUT</th></tr></thead><tbody><tr><td><code>--user-id &#x3C;id></code></td><td></td><td>ID des Benutzers, als GUID. Geben Sie genau eines von <code>--user-id</code> und <code>--group-id</code> an.</td></tr><tr><td><code>--group-id &#x3C;id></code></td><td></td><td>ID der Gruppe, als GUID. Geben Sie genau eines von <code>--user-id</code> und <code>--group-id</code> an.</td></tr><tr><td><code>--yes</code> (<code>-y</code>, <code>--confirmed</code>)</td><td>Aus</td><td>Bestätigt das Entfernen. Erforderlich.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/cli/de/referenz/commands/admin-access-and-roles.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
